Get Duel Matches
curl --request GET \
--url https://api.16tms.com/api/v1/matches/duel \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.16tms.com/api/v1/matches/duel"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.16tms.com/api/v1/matches/duel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Duel matches fetched successfully",
"data": {
"matches": [
{
"matchId": "13066de7-13d0-4c16-8337-1af2380e68ce",
"tournamentId": "7e8aeca4-f658-4665-9abc-cec9b369a902",
"tournamentName": "The invitational",
"roundId": "a3601040-bedd-4b13-a745-a098e5fe2548",
"roundName": "Round 1",
"matchNumber": 1,
"matchStatus": 1,
"matchResult": 1,
"scheduledAt": null,
"bestOf": 1,
"games": [
{
"matchGameId": "59654f42-c833-4fdf-bbaa-3009a673c7af",
"matchId": "13066de7-13d0-4c16-8337-1af2380e68ce",
"gameSerial": 1,
"mapId": null,
"mapName": null,
"participant1Score": 0,
"participant2Score": 0,
"winnerId": null,
"gameResult": 1,
"extraData": null,
"scheduledAt": null
}
],
"duelDetail": {
"participant1Id": "96f55a23-bd4e-4e6e-88e9-5c4a8360b4b6",
"participant1Name": "Frost Wolves",
"participant1Logo": "https://api.dicebear.com/7.x/identicon/svg?seed=Wolves",
"participant1ExternalId": null,
"participant1Type": 1,
"participant2Id": "273ef172-9352-41b1-94fe-384dd3608b8f",
"participant2Name": "Crimson Vipers",
"participant2Logo": "https://api.dicebear.com/7.x/identicon/svg?seed=Vipers",
"participant2ExternalId": null,
"participant2Type": 1,
"participant1Score": 0,
"participant2Score": 0,
"winnerTeamId": null,
"mapId": null,
"mapName": null,
"duration": null
}
}
],
"totalCount": 1,
"pageNumber": 1,
"pageSize": 20,
"totalPages": 1
},
"meta": {
"traceId": "00-581cbad118ee4faf72f5cd0a285ae0d1-854df0c5a4b34d2c-00",
"elapsedMs": 8.19,
"serverTimestamp": "2026-02-17T12:04:51.2606015Z"
}
}API Reference
Get Duel Matches
Fetch a list of duel matches for a specific tournament.
GET
/
matches
/
duel
Get Duel Matches
Authorizations
API key for authentication.
Query Parameters
The unique identifier of the tournament
Optional filter by Round ID
Optional filter by match status (e.g., 1 for Scheduled, 2 for Ongoing, etc.)
Available options:
1, 2, 3, 4, 5 ⌘I